Package org.flowable.engine.debug

# Class ExecutionTree

java.lang.Object
org.flowable.engine.debug.ExecutionTree

All Implemented Interfaces:
  `Iterable<ExecutionTreeNode>`

public class ExecutionTree extends Object implements Iterable<ExecutionTreeNode>

Author:
  Joram Barrez

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected ExecutionTreeNode`
  `root`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ExecutionTree()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ExecutionTreeBfsIterator`
  `bfsIterator()`
  `ExecutionTreeNode`
  `getRoot()`
  `ExecutionTreeNode`
  `getTreeNode(String executionId)`
  Looks up the `ExecutionEntity` for a given id.
  `protected ExecutionTreeNode`
  `getTreeNode(String executionId, ExecutionTreeNode currentNode)`
  `Iterator<ExecutionTreeNode>`
  `iterator()`
  `ExecutionTreeBfsIterator`
  `leafsFirstIterator()`
  Uses an `ExecutionTreeBfsIterator`, but returns the leafs first (so flipped order of BFS)
  `void`
  `setRoot(ExecutionTreeNode root)`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface java.lang.Iterable

  `forEach, spliterator`

- ## Field Details

  - ### root

    protected ExecutionTreeNode root

- ## Constructor Details

  - ### ExecutionTree

    public ExecutionTree()

- ## Method Details

  - ### getRoot

    public ExecutionTreeNode getRoot()

  - ### setRoot

    public void setRoot(ExecutionTreeNode root)

  - ### getTreeNode

    public ExecutionTreeNode getTreeNode(String executionId)
    Looks up the `ExecutionEntity` for a given id.

  - ### getTreeNode

    protected ExecutionTreeNode getTreeNode(String executionId, ExecutionTreeNode currentNode)

  - ### iterator

    public Iterator<ExecutionTreeNode> iterator()
    Specified by:
      `iterator` in interface `Iterable<ExecutionTreeNode>`

  - ### bfsIterator

    public ExecutionTreeBfsIterator bfsIterator()

  - ### leafsFirstIterator

    public ExecutionTreeBfsIterator leafsFirstIterator()
    Uses an `ExecutionTreeBfsIterator`, but returns the leafs first (so flipped order of BFS)

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`